Bug 155298 - Ghost'd directories fail to remount after timeout
Ghost'd directories fail to remount after timeout
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-18 16:45 EDT by Jacob Beacham
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 13:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Beacham 2005-04-18 16:45:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
We have several different automounts in place, including scratch space, projects, home directories, and system files (linked to /usr/local).  After specifying the "--ghost" option in /etc/sysconfig/autofs and rebooting, our systems were fine at first, but started experiencing problems that were never present before the ghosting option was specified.  Users' rc files weren't sourced, and the entire /usr/local tree would disappear until manually remounted (read: by ls'ing it).

This was never the case before the ghosting option; whenever the system needed a file from our automount, it would automatically mount it without requiring an ls first, so this is definitely linked to the ghosting behavior.

Version-Release number of selected component (if applicable):
autofs-4.1.3-47

How reproducible:
Always

Steps to Reproduce:
1. Set up an automount point with executables and libraries.
2. Wait however long your specified timeout is (default is 60 seconds).
3. Try to use a program / file from the mount (should work).
4. Add "--ghost" option to DAEMONOPTIONS in /etc/sysconfig/autofs.
5. Reboot.
6. Wait for timeout.
7. Try to use the same program / file.

Actual Results:  Granted, these are more conceptual steps, but the system claims it cannot find files on the mount until after you do an explicit listing of the mount.

Expected Results:  It should have remounted anyway, without needing an ls.

Additional info:

A particular fix we used was a change to /etc/init.d/autofs, which allowed us to specify which automount points we wanted ghosted, instead of having an "all or nothing" situation.  It would be nice to see this implemented natively as well.  It was very simple to write, only a few lines:

ghostdirs="$(echo "$GHOSTDIRS" | sed 's/ /\|/g')"
if echo "$dir" | grep -qE -- "^($ghostdirs)\$" ;
then
    startupoptions="$startupoptions --ghost"
fi

This allows us to specify a space-delimeted list of target mount points that we want ghosted through the variable GHOSTDIRS in /etc/sysconfig/autofs.  This isn't a permanent fix, but we were able to only ghost project and scratch space, while keeping system mounts un-ghosted.
Comment 1 Jeffrey Moyer 2005-04-18 18:44:39 EDT
Please only report one bug per bugzilla.  Open another bug request with severity
of 'enhancement' for your GHOSTDIRS change.
Comment 2 Jeffrey Moyer 2005-06-08 12:32:56 EDT
Could you please provide the information requested in the section "Filing bug
reports" found at the following URL:

  http://people.redhat.com/jmoyer

Thanks.
Comment 3 Jeffrey Moyer 2005-09-19 17:37:45 EDT
We're still waiting for more information on this one.  Could you please update
the bug?
Comment 4 Jacob Beacham 2005-09-20 16:31:49 EDT
Sorry, I'm working in the context of a research facility and gathering
the necessary information would be time-consuming and possibly a breach
of security.  If the bug isn't easily reproducible, then it can be
deleted.
Comment 5 Jeffrey Moyer 2005-09-20 16:35:55 EDT
Well, if you were running into the expire race, then that issue is going to be
fixed in U6.  Are you still experiencing the problem?  Would you be able to
report your testing results (meaning just whether or not the bug went away) when
U6 is released?
Comment 6 Jacob Beacham 2005-09-20 16:57:47 EDT
Having ghosted mounts was an auxillary feature that was nice, but not
necessary.  We haven't been using it since.  If the update is supposed
to fix something that might be related, I'm sure we'd be willing to give
it another shot.
Comment 7 Jeffrey Moyer 2005-10-21 12:53:44 EDT
U6 has been released.  The version of autofs shipped is 4.1.3-154.  Please give
it a try, if you have the time.

Thanks!
Comment 8 Jeffrey Moyer 2006-05-23 13:15:28 EDT
Closing this bug since we can't get any further information on it.

Note You need to log in before you can comment on or make changes to this bug.